var extend = require('util')._extend;

function WebApp(url, options) {
	var _this = this;
	this.driver = null;

	options = extend({
		url: url || 'about:blank',
		title: 'Web Application',
		icon: '',
		width: 640,
		height: 480,
		driver: ['error', 'chrome', 'firefox', 'iexplorer']
	}, options);

	for (var d = 0; d < options.driver.length; d++) {
		try {
			var modName = 'node-'+options.driver[d]+'-driver';
			var res = require.resolve(modName);
			if (res) {
				this.driver = require(modName);
				if (!this.driver.path) this.driver = null;
				else break;
			}
		} catch (e) {
			//console.warn(e);
			this.driver = null;
		}
	}

	this.open = function(cb) {
		if (!this.driver) {
			cb(new Error("Driver not found"), null);
			return false;
		} else {
			this.driver.open(url, options, cb);
		}
	}
}


module.exports = WebApp;